Name:         plan4
Namespace:    openshift-mtv
Labels:       <none>
Annotations:  populatorLabels: True
API Version:  forklift.konveyor.io/v1beta1
Kind:         Plan
Metadata:
  Creation Timestamp:  2024-12-05T11:34:15Z
  Generation:          1
  Managed Fields:
    API Version:  forklift.konveyor.io/v1beta1
    Fields Type:  FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .:
          f:kubectl.kubernetes.io/last-applied-configuration:
      f:spec:
        .:
        f:map:
          .:
          f:network:
          f:storage:
        f:provider:
          .:
          f:destination:
          f:source:
        f:targetNamespace:
        f:vms:
    Manager:      kubectl-client-side-apply
    Operation:    Update
    Time:         2024-12-05T11:34:15Z
    API Version:  forklift.konveyor.io/v1beta1
    Fields Type:  FieldsV1
    fieldsV1:
      f:status:
        .:
        f:conditions:
        f:migration:
          .:
          f:history:
          f:started:
          f:vms:
        f:observedGeneration:
    Manager:         forklift-controller
    Operation:       Update
    Subresource:     status
    Time:            2024-12-05T11:35:02Z
  Resource Version:  941335573
  UID:               f6250932-c94d-454c-9cba-39972ef0a82d
Spec:
  Map:
    Network:
      API Version:  forklift.konveyor.io/v1beta1
      Kind:         NetworkMap
      Name:         networkmap-perf
      Namespace:    openshift-mtv
    Storage:
      API Version:  forklift.konveyor.io/v1beta1
      Kind:         StorageMap
      Name:         storagemap-perf
      Namespace:    openshift-mtv
  Provider:
    Destination:
      API Version:  forklift.konveyor.io/v1beta1
      Kind:         Provider
      Name:         host
      Namespace:    openshift-mtv
    Source:
      API Version:   forklift.konveyor.io/v1beta1
      Kind:          Provider
      Name:          vsphere-7.0.3-2
      Namespace:     openshift-mtv
  Target Namespace:  plan4
  Vms:
    Id:    vm-7023
    Name:  rhel79-50gb-70usage-3disks-vm-4
Status:
  Conditions:
    Category:              Required
    Last Transition Time:  2024-12-05T11:34:23Z
    Message:               The migration plan is ready.
    Status:                True
    Type:                  Ready
    Category:              Advisory
    Durable:               true
    Last Transition Time:  2024-12-05T11:35:02Z
    Message:               The plan is EXECUTING.
    Status:                True
    Type:                  Executing
  Migration:
    History:
      Conditions:
        Category:              Advisory
        Durable:               true
        Last Transition Time:  2024-12-05T11:35:02Z
        Message:               The plan is EXECUTING.
        Status:                True
        Type:                  Executing
      Map:
        Network:
          Generation:  1
          Name:        networkmap-perf
          Namespace:   openshift-mtv
          UID:         1353728a-4d74-4947-b924-8bc540da86ae
        Storage:
          Generation:  1
          Name:        storagemap-perf
          Namespace:   openshift-mtv
          UID:         2d330128-f1ef-4219-a638-5774c6a2453f
      Migration:
        Generation:  1
        Name:        plan4-9ppsk
        Namespace:   openshift-mtv
        UID:         79515a82-fa52-488a-b53b-d8d8e00ebd47
      Plan:
        Generation:  1
        Name:        plan4
        Namespace:   openshift-mtv
        UID:         f6250932-c94d-454c-9cba-39972ef0a82d
      Provider:
        Destination:
          Generation:  1
          Name:        host
          Namespace:   openshift-mtv
          UID:         1c2020bb-eb13-461f-8d7e-eb6536c2064a
        Source:
          Generation:  1
          Name:        vsphere-7.0.3-2
          Namespace:   openshift-mtv
          UID:         fc99ecc8-dd3c-46a9-a84b-6b6fbeeb2e60
    Started:           2024-12-05T11:35:02Z
    Vms:
      Id:  vm-7023
      Luks:
      Name:   rhel79-50gb-70usage-3disks-vm-4
      Phase:  Started
      Pipeline:
        Description:  Initialize migration.
        Name:         Initialize
        Phase:        Pending
        Progress:
          Completed:  0
          Total:      1
        Annotations:
          Unit:       MB
        Description:  Allocate disks.
        Name:         DiskAllocation
        Phase:        Pending
        Progress:
          Completed:  0
          Total:      153600
        Tasks:
          Annotations:
            Unit:  MB
          Name:    [MTV-ISCSI-Basic] rhel79-50gb-70usage-3disks-vm-4/rhel79-50gb-70usage-3disks-vm-4_3.vmdk
          Progress:
            Completed:  0
            Total:      51200
          Annotations:
            Unit:  MB
          Name:    [MTV-ISCSI-Basic] rhel79-50gb-70usage-3disks-vm-4/rhel79-50gb-70usage-3disks-vm-4.vmdk
          Progress:
            Completed:  0
            Total:      51200
          Annotations:
            Unit:  MB
          Name:    [MTV-ISCSI-Basic] rhel79-50gb-70usage-3disks-vm-4/rhel79-50gb-70usage-3disks-vm-4_1.vmdk
          Progress:
            Completed:  0
            Total:      51200
        Description:    Convert image to kubevirt.
        Name:           ImageConversion
        Phase:          Pending
        Progress:
          Completed:  0
          Total:      1
        Annotations:
          Unit:       MB
        Description:  Copy disks.
        Name:         DiskTransferV2v
        Phase:        Pending
        Progress:
          Completed:  0
          Total:      153600
        Tasks:
          Annotations:
            Unit:  MB
          Name:    [MTV-ISCSI-Basic] rhel79-50gb-70usage-3disks-vm-4/rhel79-50gb-70usage-3disks-vm-4_3.vmdk
          Progress:
            Completed:  0
            Total:      51200
          Annotations:
            Unit:  MB
          Name:    [MTV-ISCSI-Basic] rhel79-50gb-70usage-3disks-vm-4/rhel79-50gb-70usage-3disks-vm-4.vmdk
          Progress:
            Completed:  0
            Total:      51200
          Annotations:
            Unit:  MB
          Name:    [MTV-ISCSI-Basic] rhel79-50gb-70usage-3disks-vm-4/rhel79-50gb-70usage-3disks-vm-4_1.vmdk
          Progress:
            Completed:  0
            Total:      51200
        Description:    Create VM.
        Name:           VirtualMachineCreation
        Phase:          Pending
        Progress:
          Completed:    0
          Total:        1
  Observed Generation:  1
Events:
  Type    Reason          Age                    From  Message
  ----    ------          ----                   ----  -------
  Normal  ValidatingVDDK  3m50s (x2 over 3m56s)  plan  Validating VDDK init image
  Normal  Ready           3m50s                  plan  The migration plan is ready.
